stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Types.Internal

Description

Internal types to the library.

Synopsis

- data Env config = Env {
  - envConfig :: !config
  - envReExec :: !Bool
  - envLogOptions :: !LogOptions
  - envTerminal :: !Bool
  - envSticky :: !Sticky
  }
- class HasTerminal r where
- class HasReExec r where
- newtype Sticky = Sticky {
  - unSticky :: Maybe (MVar (Maybe Text))
  }
- class HasSticky r where
- data LogOptions = LogOptions {
  - logUseColor :: Bool
  - logUseUnicode :: Bool
  - logUseTime :: Bool
  - logMinLevel :: LogLevel
  - logVerboseFormat :: Bool
  }
- class HasLogOptions r where
- envEnvConfig :: Lens' (Env EnvConfig) EnvConfig
- buildOptsMonoidHaddock :: Lens' BuildOptsMonoid (Maybe Bool)
- buildOptsMonoidTests :: Lens' BuildOptsMonoid (Maybe Bool)
- buildOptsMonoidBenchmarks :: Lens' BuildOptsMonoid (Maybe Bool)
- buildOptsMonoidInstallExes :: Lens' BuildOptsMonoid (Maybe Bool)
- buildOptsInstallExes :: Lens' BuildOpts Bool
- buildOptsHaddock :: Lens' BuildOpts Bool
- envConfigBuildOpts :: Lens' EnvConfig BuildOpts
- globalOptsBuildOptsMonoid :: Lens' GlobalOpts BuildOptsMonoid

# Documentation

data Env config #

Monadic environment.

Constructors

Env |
Fields envConfig :: !config envReExec :: !Bool envLogOptions :: !LogOptions envTerminal :: !Bool envSticky :: !Sticky

Instances

HasBuildConfig config => HasBuildConfig (Env config) # |
Methods getBuildConfig :: Env config -> BuildConfig #
HasConfig config => HasConfig (Env config) # |
Methods getConfig :: Env config -> Config #
HasGHCVariant config => HasGHCVariant (Env config) # |
Methods getGHCVariant :: Env config -> GHCVariant #
HasPlatform config => HasPlatform (Env config) # |
Methods getPlatform :: Env config -> Platform # getPlatformVariant :: Env config -> PlatformVariant #
HasStackRoot config => HasStackRoot (Env config) # |
Methods getStackRoot :: Env config -> Path Abs Dir #
HasEnvConfig config => HasEnvConfig (Env config) # |
Methods getEnvConfig :: Env config -> EnvConfig #
HasLogOptions (Env config) # |
Methods getLogOptions :: Env config -> LogOptions #
HasSticky (Env config) # |
Methods getSticky :: Env config -> Sticky #
HasReExec (Env config) # |
Methods getReExec :: Env config -> Bool #
HasTerminal (Env config) # |
Methods getTerminal :: Env config -> Bool #
Monad m => MonadReader (Env config) (StackT config m) # |
Methods ask :: StackT config m (Env config) # local :: (Env config -> Env config) -> StackT config m a -> StackT config m a # reader :: (Env config -> a) -> StackT config m a #

class HasTerminal r where #

Minimal complete definition

getTerminal

Methods

getTerminal :: r -> Bool #

Instances

HasTerminal (Env config) # |
Methods getTerminal :: Env config -> Bool #

class HasReExec r where #

Minimal complete definition

getReExec

Methods

getReExec :: r -> Bool #

Instances

HasReExec (Env config) # |
Methods getReExec :: Env config -> Bool #

newtype Sticky #

Constructors

Sticky |
Fields unSticky :: Maybe (MVar (Maybe Text))

class HasSticky r where #

Minimal complete definition

getSticky

Methods

getSticky :: r -> Sticky #

Instances

HasSticky (Env config) # |
Methods getSticky :: Env config -> Sticky #

data LogOptions #

Constructors

LogOptions |
Fields logUseColor :: Bool logUseUnicode :: Bool logUseTime :: Bool logMinLevel :: LogLevel logVerboseFormat :: Bool

class HasLogOptions r where #

Minimal complete definition

getLogOptions

Methods

getLogOptions :: r -> LogOptions #

Instances

HasLogOptions (Env config) # |
Methods getLogOptions :: Env config -> LogOptions #

envEnvConfig :: Lens' (Env EnvConfig) EnvConfig #

buildOptsMonoidHaddock :: Lens' BuildOptsMonoid (Maybe Bool) #

buildOptsMonoidTests :: Lens' BuildOptsMonoid (Maybe Bool) #

buildOptsMonoidBenchmarks :: Lens' BuildOptsMonoid (Maybe Bool) #

buildOptsMonoidInstallExes :: Lens' BuildOptsMonoid (Maybe Bool) #

buildOptsInstallExes :: Lens' BuildOpts Bool #

buildOptsHaddock :: Lens' BuildOpts Bool #

envConfigBuildOpts :: Lens' EnvConfig BuildOpts #

globalOptsBuildOptsMonoid :: Lens' GlobalOpts BuildOptsMonoid #